Bug 121925 - Password prompts for printer and network logons in error.
Password prompts for printer and network logons in error.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
rawhide
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-29 01:09 EDT by Rory Gleeson
Modified: 2014-08-31 19:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-12 10:04:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rory Gleeson 2004-04-29 01:09:40 EDT
Description of problem:
When I installed Fedora Core 2 Test 3, it did two things no other
distro has ever done automatically on install:
1) it found my shared folders on my networked home XP machine.
2) it found and identified the printer on that same machine.

However, when trying to print or access those shared folders, it
prompted me for a password.  None exists.  On other distros, I've
manually set up Samba after an install and I've never seen these prompts.

To fix the Printer problem, based on someone's suggestion, I simply
went in to Print Manager settings, selected Guest as user and left the
password blank.  I then selected 'automatically share printers.'

That did the trick.  But, given that Fedora has actually worked out
the preceding complex steps on install, it might be helpful if the
logon issue when attempted to print defaulted to not needing a
password unless one actually exists.

For the second problem of accessing my shared folders, I've tried a
number of things and still haven't found the solution.

So, this isn't a hard bug, it's a soft bug, suggesting a change in
defaults on install to remove password prompts from popping up when no
password actually exists on the other machine.

Rory Gleeson
Toronto, Canada
Comment 1 John Thacker 2006-10-30 09:46:03 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 2 John Thacker 2007-01-12 10:04:56 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.